--Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2018.3 (win64) Build 2405991 Thu Dec  6 23:38:27 MST 2018
--Date        : Mon Feb 11 14:37:09 2019
--Host        : Vick-PC running 64-bit major release  (build 9200)
--Command     : generate_target AXV7_OV7670_HDMI.bd
--Design      : AXV7_OV7670_HDMI
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity AXV7_OV7670_HDMI is
  port (
    cam_datos : in STD_LOGIC_VECTOR ( 7 downto 0 );
    cam_href : in STD_LOGIC;
    cam_pclk : in STD_LOGIC;
    cam_pwdn : out STD_LOGIC;
    cam_reset : out STD_LOGIC;
    cam_scl : out STD_LOGIC;
    cam_sda : out STD_LOGIC;
    cam_vsync : in STD_LOGIC;
    cam_xclk : out STD_LOGIC;
    clk : in STD_LOGIC;
    hdmi_tx_clk_n : out STD_LOGIC;
    hdmi_tx_clk_p : out STD_LOGIC;
    hdmi_tx_n : out STD_LOGIC_VECTOR ( 2 downto 0 );
    hdmi_tx_p : out STD_LOGIC_VECTOR ( 2 downto 0 );
    reset : in STD_LOGIC
  );
  attribute CORE_GENERATION_INFO : string;
  attribute CORE_GENERATION_INFO of AXV7_OV7670_HDMI : entity is "AXV7_OV7670_HDMI,IP_Integrator,{x_ipVendor=xilinx.com,x_ipLibrary=BlockDiagram,x_ipName=AXV7_OV7670_HDMI,x_ipVersion=1.00.a,x_ipLanguage=VHDL,numBlks=6,numReposBlks=6,numNonXlnxBlks=0,numHierBlks=0,maxHierDepth=0,numSysgenBlks=0,numHlsBlks=0,numHdlrefBlks=6,numPkgbdBlks=0,bdsource=USER,synth_mode=OOC_per_IP}";
  attribute HW_HANDOFF : string;
  attribute HW_HANDOFF of AXV7_OV7670_HDMI : entity is "AXV7_OV7670_HDMI.hwdef";
end AXV7_OV7670_HDMI;

architecture STRUCTURE of AXV7_OV7670_HDMI is
  component AXV7_OV7670_HDMI_camara_ram_0_0 is
  port (
    clk_rd : in STD_LOGIC;
    address_rd : in STD_LOGIC_VECTOR ( 17 downto 0 );
    data_rd : out STD_LOGIC_VECTOR ( 15 downto 0 );
    clk_wr : in STD_LOGIC;
    address_wr : in STD_LOGIC_VECTOR ( 17 downto 0 );
    data_wr : in STD_LOGIC_VECTOR ( 15 downto 0 )
  );
  end component AXV7_OV7670_HDMI_camara_ram_0_0;
  component AXV7_OV7670_HDMI_controlador_camara_0_0 is
  port (
    clk : in STD_LOGIC;
    cam_xclk : out STD_LOGIC;
    cam_href : in STD_LOGIC;
    cam_vsync : in STD_LOGIC;
    cam_pclk : in STD_LOGIC;
    cam_pwdn : out STD_LOGIC;
    cam_reset : out STD_LOGIC;
    cam_datos : in STD_LOGIC_VECTOR ( 7 downto 0 );
    vram_dat : out STD_LOGIC_VECTOR ( 15 downto 0 );
    vram_dir : out STD_LOGIC_VECTOR ( 17 downto 0 );
    vram_clk : out STD_LOGIC
  );
  end component AXV7_OV7670_HDMI_controlador_camara_0_0;
  component AXV7_OV7670_HDMI_interfaz_i2c_0_0 is
  port (
    clk : in STD_LOGIC;
    reset : in STD_LOGIC;
    cam_sda : out STD_LOGIC;
    cam_scl : out STD_LOGIC
  );
  end component AXV7_OV7670_HDMI_interfaz_i2c_0_0;
  component AXV7_OV7670_HDMI_pll_hdmi_1080p_0_0 is
  port (
    clk : in STD_LOGIC;
    clk_pixel_x1 : out STD_LOGIC;
    clk_pixel_x5 : out STD_LOGIC;
    hdmi_reset : out STD_LOGIC
  );
  end component AXV7_OV7670_HDMI_pll_hdmi_1080p_0_0;
  component AXV7_OV7670_HDMI_vga_output_0_0 is
  port (
    clk : in STD_LOGIC;
    vga_hsync : out STD_LOGIC;
    vga_vsync : out STD_LOGIC;
    vga_red : out STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_green : out STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_blue : out STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_blank : out STD_LOGIC;
    vram_dir : out STD_LOGIC_VECTOR ( 17 downto 0 );
    vram_dat : in STD_LOGIC_VECTOR ( 15 downto 0 );
    vram_clk : out STD_LOGIC
  );
  end component AXV7_OV7670_HDMI_vga_output_0_0;
  component AXV7_OV7670_HDMI_vga_to_hdmi_0_0 is
  port (
    pixel_clk : in STD_LOGIC;
    pixel_clk_x5 : in STD_LOGIC;
    reset : in STD_LOGIC;
    vga_hsync : in STD_LOGIC;
    vga_vsync : in STD_LOGIC;
    vga_red : in STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_green : in STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_blue : in STD_LOGIC_VECTOR ( 7 downto 0 );
    vga_blank : in STD_LOGIC;
    hdmi_tx_clk_p : out STD_LOGIC;
    hdmi_tx_clk_n : out STD_LOGIC;
    hdmi_tx_p : out STD_LOGIC_VECTOR ( 2 downto 0 );
    hdmi_tx_n : out STD_LOGIC_VECTOR ( 2 downto 0 )
  );
  end component AXV7_OV7670_HDMI_vga_to_hdmi_0_0;
  signal cam_datos_1 : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal cam_href_1 : STD_LOGIC;
  signal cam_pclk_1 : STD_LOGIC;
  signal cam_vsync_1 : STD_LOGIC;
  signal camara_ram_0_data_rd : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal clk_1 : STD_LOGIC;
  signal controlador_camara_0_cam_pwdn : STD_LOGIC;
  signal controlador_camara_0_cam_reset : STD_LOGIC;
  signal controlador_camara_0_cam_xclk : STD_LOGIC;
  signal controlador_camara_0_vram_clk : STD_LOGIC;
  signal controlador_camara_0_vram_dat : STD_LOGIC_VECTOR ( 15 downto 0 );
  signal controlador_camara_0_vram_dir : STD_LOGIC_VECTOR ( 17 downto 0 );
  signal interfaz_i2c_0_cam_scl : STD_LOGIC;
  signal interfaz_i2c_0_cam_sda : STD_LOGIC;
  signal pll_hdmi_1080p_0_clk_pixel_x1 : STD_LOGIC;
  signal pll_hdmi_1080p_0_clk_pixel_x5 : STD_LOGIC;
  signal pll_hdmi_1080p_0_hdmi_reset : STD_LOGIC;
  signal reset_1 : STD_LOGIC;
  signal vga_output_0_vga_blank : STD_LOGIC;
  signal vga_output_0_vga_blue : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal vga_output_0_vga_green : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal vga_output_0_vga_hsync : STD_LOGIC;
  signal vga_output_0_vga_red : STD_LOGIC_VECTOR ( 7 downto 0 );
  signal vga_output_0_vga_vsync : STD_LOGIC;
  signal vga_output_0_vram_clk : STD_LOGIC;
  signal vga_output_0_vram_dir : STD_LOGIC_VECTOR ( 17 downto 0 );
  signal vga_to_hdmi_0_hdmi_tx_clk_n : STD_LOGIC;
  signal vga_to_hdmi_0_hdmi_tx_clk_p : STD_LOGIC;
  signal vga_to_hdmi_0_hdmi_tx_n : STD_LOGIC_VECTOR ( 2 downto 0 );
  signal vga_to_hdmi_0_hdmi_tx_p : STD_LOGIC_VECTOR ( 2 downto 0 );
  attribute X_INTERFACE_INFO : string;
  attribute X_INTERFACE_INFO of cam_reset : signal is "xilinx.com:signal:reset:1.0 RST.CAM_RESET RST";
  attribute X_INTERFACE_PARAMETER : string;
  attribute X_INTERFACE_PARAMETER of cam_reset : signal is "XIL_INTERFACENAME RST.CAM_RESET, INSERT_VIP 0, POLARITY ACTIVE_LOW";
  attribute X_INTERFACE_INFO of clk : signal is "xilinx.com:signal:clock:1.0 CLK.CLK CLK";
  attribute X_INTERFACE_PARAMETER of clk : signal is "XIL_INTERFACENAME CLK.CLK, ASSOCIATED_RESET reset, CLK_DOMAIN AXV7_OV7670_HDMI_clk, FREQ_HZ 100000000, INSERT_VIP 0, PHASE 0.000";
  attribute X_INTERFACE_INFO of hdmi_tx_clk_n : signal is "xilinx.com:signal:clock:1.0 CLK.HDMI_TX_CLK_N CLK";
  attribute X_INTERFACE_PARAMETER of hdmi_tx_clk_n : signal is "XIL_INTERFACENAME CLK.HDMI_TX_CLK_N, CLK_DOMAIN AXV7_OV7670_HDMI_vga_to_hdmi_0_0_hdmi_tx_clk_n, FREQ_HZ 100000000, INSERT_VIP 0, PHASE 0.000";
  attribute X_INTERFACE_INFO of hdmi_tx_clk_p : signal is "xilinx.com:signal:clock:1.0 CLK.HDMI_TX_CLK_P CLK";
  attribute X_INTERFACE_PARAMETER of hdmi_tx_clk_p : signal is "XIL_INTERFACENAME CLK.HDMI_TX_CLK_P, CLK_DOMAIN AXV7_OV7670_HDMI_vga_to_hdmi_0_0_hdmi_tx_clk_p, FREQ_HZ 100000000, INSERT_VIP 0, PHASE 0.000";
  attribute X_INTERFACE_INFO of reset : signal is "xilinx.com:signal:reset:1.0 RST.RESET RST";
  attribute X_INTERFACE_PARAMETER of reset : signal is "XIL_INTERFACENAME RST.RESET, INSERT_VIP 0, POLARITY ACTIVE_LOW";
begin
  cam_datos_1(7 downto 0) <= cam_datos(7 downto 0);
  cam_href_1 <= cam_href;
  cam_pclk_1 <= cam_pclk;
  cam_pwdn <= controlador_camara_0_cam_pwdn;
  cam_reset <= controlador_camara_0_cam_reset;
  cam_scl <= interfaz_i2c_0_cam_scl;
  cam_sda <= interfaz_i2c_0_cam_sda;
  cam_vsync_1 <= cam_vsync;
  cam_xclk <= controlador_camara_0_cam_xclk;
  clk_1 <= clk;
  hdmi_tx_clk_n <= vga_to_hdmi_0_hdmi_tx_clk_n;
  hdmi_tx_clk_p <= vga_to_hdmi_0_hdmi_tx_clk_p;
  hdmi_tx_n(2 downto 0) <= vga_to_hdmi_0_hdmi_tx_n(2 downto 0);
  hdmi_tx_p(2 downto 0) <= vga_to_hdmi_0_hdmi_tx_p(2 downto 0);
  reset_1 <= reset;
camara_ram_0: component AXV7_OV7670_HDMI_camara_ram_0_0
     port map (
      address_rd(17 downto 0) => vga_output_0_vram_dir(17 downto 0),
      address_wr(17 downto 0) => controlador_camara_0_vram_dir(17 downto 0),
      clk_rd => vga_output_0_vram_clk,
      clk_wr => controlador_camara_0_vram_clk,
      data_rd(15 downto 0) => camara_ram_0_data_rd(15 downto 0),
      data_wr(15 downto 0) => controlador_camara_0_vram_dat(15 downto 0)
    );
controlador_camara_0: component AXV7_OV7670_HDMI_controlador_camara_0_0
     port map (
      cam_datos(7 downto 0) => cam_datos_1(7 downto 0),
      cam_href => cam_href_1,
      cam_pclk => cam_pclk_1,
      cam_pwdn => controlador_camara_0_cam_pwdn,
      cam_reset => controlador_camara_0_cam_reset,
      cam_vsync => cam_vsync_1,
      cam_xclk => controlador_camara_0_cam_xclk,
      clk => clk_1,
      vram_clk => controlador_camara_0_vram_clk,
      vram_dat(15 downto 0) => controlador_camara_0_vram_dat(15 downto 0),
      vram_dir(17 downto 0) => controlador_camara_0_vram_dir(17 downto 0)
    );
interfaz_i2c_0: component AXV7_OV7670_HDMI_interfaz_i2c_0_0
     port map (
      cam_scl => interfaz_i2c_0_cam_scl,
      cam_sda => interfaz_i2c_0_cam_sda,
      clk => clk_1,
      reset => reset_1
    );
pll_hdmi_1080p_0: component AXV7_OV7670_HDMI_pll_hdmi_1080p_0_0
     port map (
      clk => clk_1,
      clk_pixel_x1 => pll_hdmi_1080p_0_clk_pixel_x1,
      clk_pixel_x5 => pll_hdmi_1080p_0_clk_pixel_x5,
      hdmi_reset => pll_hdmi_1080p_0_hdmi_reset
    );
vga_output_0: component AXV7_OV7670_HDMI_vga_output_0_0
     port map (
      clk => pll_hdmi_1080p_0_clk_pixel_x1,
      vga_blank => vga_output_0_vga_blank,
      vga_blue(7 downto 0) => vga_output_0_vga_blue(7 downto 0),
      vga_green(7 downto 0) => vga_output_0_vga_green(7 downto 0),
      vga_hsync => vga_output_0_vga_hsync,
      vga_red(7 downto 0) => vga_output_0_vga_red(7 downto 0),
      vga_vsync => vga_output_0_vga_vsync,
      vram_clk => vga_output_0_vram_clk,
      vram_dat(15 downto 0) => camara_ram_0_data_rd(15 downto 0),
      vram_dir(17 downto 0) => vga_output_0_vram_dir(17 downto 0)
    );
vga_to_hdmi_0: component AXV7_OV7670_HDMI_vga_to_hdmi_0_0
     port map (
      hdmi_tx_clk_n => vga_to_hdmi_0_hdmi_tx_clk_n,
      hdmi_tx_clk_p => vga_to_hdmi_0_hdmi_tx_clk_p,
      hdmi_tx_n(2 downto 0) => vga_to_hdmi_0_hdmi_tx_n(2 downto 0),
      hdmi_tx_p(2 downto 0) => vga_to_hdmi_0_hdmi_tx_p(2 downto 0),
      pixel_clk => pll_hdmi_1080p_0_clk_pixel_x1,
      pixel_clk_x5 => pll_hdmi_1080p_0_clk_pixel_x5,
      reset => pll_hdmi_1080p_0_hdmi_reset,
      vga_blank => vga_output_0_vga_blank,
      vga_blue(7 downto 0) => vga_output_0_vga_blue(7 downto 0),
      vga_green(7 downto 0) => vga_output_0_vga_green(7 downto 0),
      vga_hsync => vga_output_0_vga_hsync,
      vga_red(7 downto 0) => vga_output_0_vga_red(7 downto 0),
      vga_vsync => vga_output_0_vga_vsync
    );
end STRUCTURE;
