
set_property IOSTANDARD LVCMOS33 [get_ports reset]
set_property IOSTANDARD LVCMOS33 [get_ports clk]
set_property PACKAGE_PIN R15 [get_ports reset]
set_property PACKAGE_PIN P15 [get_ports clk]

set_property IOSTANDARD LVCMOS33 [get_ports cam_reset]
set_property IOSTANDARD LVCMOS33 [get_ports cam_pclk]
set_property IOSTANDARD LVCMOS33 [get_ports cam_sda]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[7]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[6]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[5]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[4]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[3]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[2]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[1]}]
set_property IOSTANDARD LVCMOS33 [get_ports {cam_datos[0]}]
set_property IOSTANDARD LVCMOS33 [get_ports cam_scl]
set_property IOSTANDARD LVCMOS33 [get_ports cam_pwdn]
set_property IOSTANDARD LVCMOS33 [get_ports cam_xclk]
set_property IOSTANDARD LVCMOS33 [get_ports cam_href]
set_property IOSTANDARD LVCMOS33 [get_ports cam_vsync]

set_property PACKAGE_PIN V1 [get_ports cam_scl]
set_property PACKAGE_PIN U1 [get_ports cam_sda]
set_property PACKAGE_PIN T1 [get_ports cam_vsync]
set_property PACKAGE_PIN R1 [get_ports cam_href]
set_property PACKAGE_PIN F4 [get_ports cam_pclk]
set_property PACKAGE_PIN R2 [get_ports cam_xclk]
set_property PACKAGE_PIN P2 [get_ports {cam_datos[7]}]
set_property PACKAGE_PIN N1 [get_ports {cam_datos[6]}]
set_property PACKAGE_PIN N2 [get_ports {cam_datos[5]}]
set_property PACKAGE_PIN T3 [get_ports {cam_datos[4]}]
set_property PACKAGE_PIN R3 [get_ports {cam_datos[3]}]
set_property PACKAGE_PIN M2 [get_ports {cam_datos[2]}]
set_property PACKAGE_PIN M3 [get_ports {cam_datos[1]}]
set_property PACKAGE_PIN L3 [get_ports {cam_datos[0]}]
set_property PACKAGE_PIN K3 [get_ports cam_reset]
set_property PACKAGE_PIN J2 [get_ports cam_pwdn]

set_property IOSTANDARD TMDS_33	[get_ports hdmi_tx_p[0]]
set_property IOSTANDARD TMDS_33	[get_ports hdmi_tx_p[1]]
set_property IOSTANDARD TMDS_33	[get_ports hdmi_tx_p[2]]
set_property IOSTANDARD TMDS_33	[get_ports hdmi_tx_clk_p]

set_property PACKAGE_PIN V15 [get_ports {hdmi_tx_p[0]}]
set_property PACKAGE_PIN U17 [get_ports {hdmi_tx_p[1]}]
set_property PACKAGE_PIN R18 [get_ports {hdmi_tx_p[2]}]
set_property PACKAGE_PIN U14 [get_ports hdmi_tx_clk_p]