--Copyright 1986-2018 Xilinx, Inc. All Rights Reserved.
----------------------------------------------------------------------------------
--Tool Version: Vivado v.2018.3 (win64) Build 2405991 Thu Dec  6 23:38:27 MST 2018
--Date        : Fri Feb 22 15:09:13 2019
--Host        : DESKTOP-OQ7N4DN running 64-bit major release  (build 9200)
--Command     : generate_target AXV7_OV7670_HDMI_wrapper.bd
--Design      : AXV7_OV7670_HDMI_wrapper
--Purpose     : IP block netlist
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
library UNISIM;
use UNISIM.VCOMPONENTS.ALL;
entity AXV7_OV7670_HDMI_wrapper is
  port (
    cam_datos : in STD_LOGIC_VECTOR ( 7 downto 0 );
    cam_href : in STD_LOGIC;
    cam_pclk : in STD_LOGIC;
    cam_pwdn : out STD_LOGIC;
    cam_reset : out STD_LOGIC;
    cam_scl : out STD_LOGIC;
    cam_sda : out STD_LOGIC;
    cam_vsync : in STD_LOGIC;
    cam_xclk : out STD_LOGIC;
    clk : in STD_LOGIC;
    hdmi_tx_clk_n : out STD_LOGIC;
    hdmi_tx_clk_p : out STD_LOGIC;
    hdmi_tx_n : out STD_LOGIC_VECTOR ( 2 downto 0 );
    hdmi_tx_p : out STD_LOGIC_VECTOR ( 2 downto 0 );
    reset : in STD_LOGIC
  );
end AXV7_OV7670_HDMI_wrapper;

architecture STRUCTURE of AXV7_OV7670_HDMI_wrapper is
  component AXV7_OV7670_HDMI is
  port (
    clk : in STD_LOGIC;
    reset : in STD_LOGIC;
    cam_href : in STD_LOGIC;
    cam_vsync : in STD_LOGIC;
    cam_pclk : in STD_LOGIC;
    cam_datos : in STD_LOGIC_VECTOR ( 7 downto 0 );
    cam_xclk : out STD_LOGIC;
    cam_pwdn : out STD_LOGIC;
    cam_reset : out STD_LOGIC;
    hdmi_tx_clk_p : out STD_LOGIC;
    hdmi_tx_clk_n : out STD_LOGIC;
    hdmi_tx_p : out STD_LOGIC_VECTOR ( 2 downto 0 );
    hdmi_tx_n : out STD_LOGIC_VECTOR ( 2 downto 0 );
    cam_sda : out STD_LOGIC;
    cam_scl : out STD_LOGIC
  );
  end component AXV7_OV7670_HDMI;
begin
AXV7_OV7670_HDMI_i: component AXV7_OV7670_HDMI
     port map (
      cam_datos(7 downto 0) => cam_datos(7 downto 0),
      cam_href => cam_href,
      cam_pclk => cam_pclk,
      cam_pwdn => cam_pwdn,
      cam_reset => cam_reset,
      cam_scl => cam_scl,
      cam_sda => cam_sda,
      cam_vsync => cam_vsync,
      cam_xclk => cam_xclk,
      clk => clk,
      hdmi_tx_clk_n => hdmi_tx_clk_n,
      hdmi_tx_clk_p => hdmi_tx_clk_p,
      hdmi_tx_n(2 downto 0) => hdmi_tx_n(2 downto 0),
      hdmi_tx_p(2 downto 0) => hdmi_tx_p(2 downto 0),
      reset => reset
    );
end STRUCTURE;
